Subject: Re: [PATCH] New script: git-changelog.perl

From: Jakub Narebski <[email-masked]>
Date: Fri, 2 Nov 2007 20:18:02 +0100

Subject: Re: [PATCH] New script: git-changelog.perl
From: "Ronald Landheer-Cieslak" <[email-masked]>
To: "Jakub Narebski" <[email-masked]>

On Nov 2, 2007 1:07 PM, Jakub Narebski <[email-masked]> wrote:
> [Cc: Ronald Landheer-Cieslak <[email-masked]>,
>  [email-masked]]
>
> Ronald Landheer-Cieslak wrote:
>
>> I've written a little script that will format the changes as reported
>> by git-log in a ChangeLog-like format. Entries look like this:
>> <date>\t<author>\n\t<sha1>: <subject>
>
> How it compares to existing git2cl tool?:
>   http://josefsson.org/git2cl/
>   http://git.or.cz/gitwiki/InterfacesFrontendsAndTools

I must admit I didn't know about git2cl. The first difference I see is
that it's simpler and has less dependencies: my script doesn't use any
external modules (e.g. it doesn't parse the date) but just parses a
formatted output from git-log.

Other than that, there's not much difference: my output is a bit
sparser and my script invokes the proper git-log command by itself, so
you don't have to pipe through it (i.e. all you do is git-changelog >
ChangeLog to get your change log) but that's pretty much it.

If you want, you can have a look at it at
git://vlinder.landheer-cieslak.com/git/git.git#topic/git-log-changelog

rlc

-- 
Ronald Landheer-Cieslak
Software Architect
http://www.landheer-cieslak.com/
New White Paper: "Three Good Reasons to Plan Ahead"